BSD-FAQ-it
Indietro | Capitolo 5. Applicazioni e Varie | Avanti

# 5.6. Come creo un'immagine ISO?

Con immagine ISO si definiscono solitamente quei file che contengono un filesystem ISO9660 e sono l'immagine del contenuto di un CD o di quello che sarà contenuto in un CD. Sicuramente il tool più usato per la creazioni di filesystem ISO9660, è mkisofs, che trovate installando `sysutils/cdrtools`. Questa applicazione crea l'immagine di un albero di directory e verrà posta sul cd. L'utilizzo di base di mkisofs è

    #mkisofs -o immagine.iso /percorso/

A seconda che si voglia avere un'immagine Rock Ridge [1], Joliet [2] o HFS [3], precisamente nell'ordine:

- -R : Estensioni Rock Ridge

- -J : Estensioni Joliet

- -hfs : Filesystem HFS

- -D : toglie il limite degli 8 livelli di sottodirectory

- -T : crea il file TRANS.TBL per la transcodifica dei nomi lunghi (utile per la compatibilità con altri ambienti)

Queste immagini possono anche essere montate come normali filesystem, come spiegato alla domanda "Come posso montare un immagine ISO?" (???).

### Note

[1] | Le estensioni Rock Ridge servono per creare un filesystem ISO9660 che segua le stesse regole dei normali filesystem UNIX®.
[2] | Le estensioni Joliet sono usate per i cd che verranno utilizzati anche su sistemi Microsoft e impongono particolari limitazioni al filesystem.
[3] | Il filesystem HFS viene usato sui sistemi MacOS.

Indietro | Partenza | Avanti
Come posso creare file MP3? | Risali | Come creo i cd di dati?